
/*
 * MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.sebmod.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLClientSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.world.level.material.Fluid;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.renderer.ItemBlockRenderTypes;

import net.mcreator.sebmod.fluid.SusFuelFluid;
import net.mcreator.sebmod.fluid.DirtyWaterFluid;
import net.mcreator.sebmod.SebModMod;

public class SebModModFluids {
	public static final DeferredRegister<Fluid> REGISTRY = DeferredRegister.create(ForgeRegistries.FLUIDS, SebModMod.MODID);
	public static final RegistryObject<Fluid> DIRTY_WATER = REGISTRY.register("dirty_water", () -> new DirtyWaterFluid.Source());
	public static final RegistryObject<Fluid> FLOWING_DIRTY_WATER = REGISTRY.register("flowing_dirty_water", () -> new DirtyWaterFluid.Flowing());
	public static final RegistryObject<Fluid> SUS_FUEL = REGISTRY.register("sus_fuel", () -> new SusFuelFluid.Source());
	public static final RegistryObject<Fluid> FLOWING_SUS_FUEL = REGISTRY.register("flowing_sus_fuel", () -> new SusFuelFluid.Flowing());

	@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD, value = Dist.CLIENT)
	public static class ClientSideHandler {
		@SubscribeEvent
		public static void clientSetup(FMLClientSetupEvent event) {
			ItemBlockRenderTypes.setRenderLayer(DIRTY_WATER.get(), renderType -> renderType == RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(FLOWING_DIRTY_WATER.get(), renderType -> renderType == RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(SUS_FUEL.get(), renderType -> renderType == RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(FLOWING_SUS_FUEL.get(), renderType -> renderType == RenderType.translucent());
		}
	}
}
